org.apache.commons.imaging

## Class FormatCompliance

- java.lang.Object
- - org.apache.commons.imaging.FormatCompliance

-     public class FormatCompliance
      extends Object

  Provides information about the compliance of a specified data source (byte array, file, etc.) to an image format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormatCompliance(String description)`
    `FormatCompliance(String description, boolean failOnError)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComment(String comment)`
    `void` | `addComment(String comment, int value)`
    `boolean` | `checkBounds(String name, int min, int max, int actual)`
    `boolean` | `compare(String name, int[] valid, int actual)`
    `boolean` | `compare(String name, int valid, int actual)`
    `boolean` | `compareBytes(String name, byte[] expected, byte[] actual)`
    `void` | `dump()`
    `void` | `dump(PrintWriter pw)`
    `static FormatCompliance` | `getDefault()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FormatCompliance

          public FormatCompliance(String description)

    - #### FormatCompliance

          public FormatCompliance(String description,
                                  boolean failOnError)

  - ### Method Detail

    - #### getDefault

          public static FormatCompliance getDefault()

    - #### addComment

          public void addComment(String comment)
                          throws ImageReadException

      Throws:
        `ImageReadException`

    - #### addComment

          public void addComment(String comment,
                                 int value)
                          throws ImageReadException

      Throws:
        `ImageReadException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### dump

          public void dump()

    - #### dump

          public void dump(PrintWriter pw)

    - #### compareBytes

          public boolean compareBytes(String name,
                                      byte[] expected,
                                      byte[] actual)
                               throws ImageReadException

      Throws:
        `ImageReadException`

    - #### checkBounds

          public boolean checkBounds(String name,
                                     int min,
                                     int max,
                                     int actual)
                              throws ImageReadException

      Throws:
        `ImageReadException`

    - #### compare

          public boolean compare(String name,
                                 int valid,
                                 int actual)
                          throws ImageReadException

      Throws:
        `ImageReadException`

    - #### compare

          public boolean compare(String name,
                                 int[] valid,
                                 int actual)
                          throws ImageReadException

      Throws:
        `ImageReadException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.